Bug 697641 - Fix Coverity NULL pointer dereferences
Fix Coverity NULL pointer dereferences
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: 389-adminutil (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathan Kinder
Fedora Extras Quality Assurance
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-18 15:53 EDT by Nathan Kinder
Modified: 2015-02-18 06:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:06:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for cov#10766,10765 (1.98 KB, patch)
2011-04-18 15:58 EDT, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10763,10760 (2.62 KB, patch)
2011-04-18 17:23 EDT, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10759 (1.09 KB, patch)
2011-04-18 17:34 EDT, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10758 (1.27 KB, patch)
2011-04-18 17:47 EDT, Nathan Kinder
rmeggins: review+
Details | Diff
Patch for cov#10762 (1.61 KB, patch)
2011-04-18 18:01 EDT, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10761 (1.75 KB, patch)
2011-04-18 18:09 EDT, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Revised patch for cov#10758 (1.27 KB, patch)
2011-04-18 18:13 EDT, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff

  None (edit)
Description Nathan Kinder 2011-04-18 15:53:12 EDT
A recent run of Coverity against 389-adminutil has exposed a handful of NULL pointer dereference issues.  We should fix all reported issues.
Comment 1 Nathan Kinder 2011-04-18 15:58:50 EDT
Created attachment 492996 [details]
Patch for cov#10766,10765
Comment 2 Nathan Kinder 2011-04-18 17:23:32 EDT
Created attachment 493023 [details]
Patch for cov#10763,10760
Comment 3 Nathan Kinder 2011-04-18 17:34:38 EDT
Created attachment 493032 [details]
Patch for cov#10759
Comment 4 Nathan Kinder 2011-04-18 17:47:28 EDT
Created attachment 493037 [details]
Patch for cov#10758
Comment 5 Nathan Kinder 2011-04-18 18:01:53 EDT
Created attachment 493040 [details]
Patch for cov#10762
Comment 6 Nathan Kinder 2011-04-18 18:09:06 EDT
Created attachment 493041 [details]
Patch for cov#10761
Comment 7 Nathan Kinder 2011-04-18 18:13:15 EDT
Created attachment 493042 [details]
Revised patch for cov#10758
Comment 8 Nathan Kinder 2011-04-19 10:59:28 EDT
Pushed to master.  Thanks to Rich for his reviews!

Counting objects: 37, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (30/30), done.
Writing objects: 100% (30/30), 3.77 KiB, done.
Total 30 (delta 19), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/adminutil.git
   2db116d..e0da408  master -> master
Comment 9 Fedora Update System 2011-06-21 15:52:28 EDT
389-adminutil-1.1.14-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.fc15
Comment 10 Fedora Update System 2011-06-21 15:53:45 EDT
389-adminutil-1.1.14-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.fc14
Comment 11 Fedora Update System 2011-06-21 16:06:14 EDT
389-adminutil-1.1.14-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.fc13
Comment 12 Fedora Update System 2011-06-21 16:07:36 EDT
389-adminutil-1.1.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.el5
Comment 13 Fedora Update System 2011-09-08 02:59:08 EDT
389-adminutil-1.1.14-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2011-09-08 03:00:35 EDT
389-adminutil-1.1.14-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-09-08 20:01:10 EDT
389-adminutil-1.1.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora End Of Life 2013-04-03 16:29:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 17 Fedora End Of Life 2015-01-09 17:29:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-18 06:06:55 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.